OGRE-Next: Ogre::FloatGpuParameterControllerValue Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::FloatGpuParameterControllerValue Class Reference
Core » General

Predefined controller value for setting a single floating- point value in a constant parameter of a vertex or fragment program. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FloatGpuParameterControllerValue:
[legend]

## Public Member Functions
| FloatGpuParameterControllerValue (GpuProgramParametersSharedPtr params, size_t index)
| Constructor.
| ~FloatGpuParameterControllerValue () override
Real | getValue () const override
void | setValue (Real value) override
Public Member Functions inherited from Ogre::ControllerValue< Real >
virtual | ~ControllerValue ()

## Detailed Description

Predefined controller value for setting a single floating- point value in a constant parameter of a vertex or fragment program.

Remarks
  Any value is accepted, it is propagated into the 'x' component of the constant register identified by the index. If you need to use named parameters, retrieve the index from the param object before setting this controller up.

Note
  Retrieving a value from the program parameters is not currently supported, therefore do not use this controller value as a source, only as a target.

## Constructor & Destructor Documentation

## ◆ FloatGpuParameterControllerValue()

Ogre::FloatGpuParameterControllerValue::FloatGpuParameterControllerValue | ( | GpuProgramParametersSharedPtr | params,
|  | size_t | index )

Constructor.

Parameters

  params | The parameters object to access
  index | The index of the parameter to be set

## ◆ ~FloatGpuParameterControllerValue()

Ogre::FloatGpuParameterControllerValue::~FloatGpuParameterControllerValue | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getValue()

Real Ogre::FloatGpuParameterControllerValue::getValue | ( |  | ) | const
| overridevirtual

Implements Ogre::ControllerValue< Real >.

## ◆ setValue()

void Ogre::FloatGpuParameterControllerValue::setValue | ( | Real | value | ) |
| overridevirtual

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h